# Class AdminServerFactory

java.lang.Object
org.apache.zookeeper.server.admin.AdminServerFactory

public class AdminServerFactory extends Object
Factory class for creating an AdminServer.

## Constructor Summary

Constructors
Constructor
Description
`AdminServerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static AdminServer`
`createAdminServer()`
This method encapsulates the logic for whether we should use a JettyAdminServer (i.e., the AdminServer is enabled) or a DummyAdminServer (i.e., the AdminServer is disabled).

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdminServerFactory

public AdminServerFactory()

## Method Details

### createAdminServer

public static AdminServer createAdminServer()
This method encapsulates the logic for whether we should use a JettyAdminServer (i.e., the AdminServer is enabled) or a DummyAdminServer (i.e., the AdminServer is disabled). It uses reflection when attempting to create a JettyAdminServer, rather than referencing the class directly, so that it's ok to omit Jetty from the classpath if a user doesn't wish to pull in Jetty with ZooKeeper.